#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 50. PostScript

- Prev

  MuPDF-1.25.4

- Next

  Typesetting

- Up
- Home

# paps-0.8.0

## Introduction to paps

paps is a text to PostScript converter that works through Pango. Its input is a UTF-8 encoded text file and it outputs vectorized PostScript. It may be used for printing any complex script supported by Pango.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://github.com/dov/paps/releases/download/v0.8.0/paps-0.8.0.tar.gz

- Download MD5 sum: 6bd661b8fd224adc3343a91e6521a4f2

- Download size: 220 KB

- Estimated disk space required: 4.0 MB

- Estimated build time: less than 0.1 SBU

### paps Dependencies

#### Required

fmt-11.1.4 and Pango-1.56.1

#### Optional

Doxygen-1.13.2

## Installation of paps

First fix a problem with glib-2.81.0 or later:

    sed -i -r 's/g_utf8_(next|offset)/(char*) &/' src/paps.cc

Install paps by running the following commands:

    ./configure --prefix=/usr    \
                --disable-Werror \
                --mandir=/usr/share/man &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Program: paps
Installed Library: None
Installed Directory: None

### Short Descriptions

paps | is a text to PostScript converter that supports UTF-8 character encoding

- Prev

  MuPDF-1.25.4

- Next

  Typesetting

- Up
- Home